/**
 * generated by Xtext 2.29.0
 */
package org.eclipse.papyrus.robotics.xtext.compdef.compDefText;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see org.eclipse.papyrus.robotics.xtext.compdef.compDefText.CompDefTextFactory
 * @model kind="package"
 * @generated
 */
public interface CompDefTextPackage extends EPackage
{
  /**
   * The package name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNAME = "compDefText";

  /**
   * The package namespace URI.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNS_URI = "http://www.eclipse.org/papyrus/robotics/compDefText";

  /**
   * The package namespace name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNS_PREFIX = "compDefText";

  /**
   * The singleton instance of the package.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  CompDefTextPackage eINSTANCE = org.eclipse.papyrus.robotics.xtext.compdef.compDefText.impl.CompDefTextPackageImpl.init();

  /**
   * The meta object id for the '{@link org.eclipse.papyrus.robotics.xtext.compdef.compDefText.impl.ComponentImpl <em>Component</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.eclipse.papyrus.robotics.xtext.compdef.compDefText.impl.ComponentImpl
   * @see org.eclipse.papyrus.robotics.xtext.compdef.compDefText.impl.CompDefTextPackageImpl#getComponent()
   * @generated
   */
  int COMPONENT = 0;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int COMPONENT__NAME = 0;

  /**
   * The feature id for the '<em><b>Ports</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int COMPONENT__PORTS = 1;

  /**
   * The feature id for the '<em><b>Activity</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int COMPONENT__ACTIVITY = 2;

  /**
   * The feature id for the '<em><b>Parameters</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int COMPONENT__PARAMETERS = 3;

  /**
   * The number of structural features of the '<em>Component</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int COMPONENT_FEATURE_COUNT = 4;

  /**
   * The meta object id for the '{@link org.eclipse.papyrus.robotics.xtext.compdef.compDefText.impl.ParameterImpl <em>Parameter</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.eclipse.papyrus.robotics.xtext.compdef.compDefText.impl.ParameterImpl
   * @see org.eclipse.papyrus.robotics.xtext.compdef.compDefText.impl.CompDefTextPackageImpl#getParameter()
   * @generated
   */
  int PARAMETER = 1;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int PARAMETER__NAME = 0;

  /**
   * The feature id for the '<em><b>Type</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int PARAMETER__TYPE = 1;

  /**
   * The feature id for the '<em><b>Type Undefined</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int PARAMETER__TYPE_UNDEFINED = 2;

  /**
   * The feature id for the '<em><b>Multiplicity</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int PARAMETER__MULTIPLICITY = 3;

  /**
   * The feature id for the '<em><b>Value</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int PARAMETER__VALUE = 4;

  /**
   * The feature id for the '<em><b>Comment</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int PARAMETER__COMMENT = 5;

  /**
   * The number of structural features of the '<em>Parameter</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int PARAMETER_FEATURE_COUNT = 6;

  /**
   * The meta object id for the '{@link org.eclipse.papyrus.robotics.xtext.compdef.compDefText.impl.ValueImpl <em>Value</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.eclipse.papyrus.robotics.xtext.compdef.compDefText.impl.ValueImpl
   * @see org.eclipse.papyrus.robotics.xtext.compdef.compDefText.impl.CompDefTextPackageImpl#getValue()
   * @generated
   */
  int VALUE = 2;

  /**
   * The feature id for the '<em><b>Str</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int VALUE__STR = 0;

  /**
   * The feature id for the '<em><b>Ival</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int VALUE__IVAL = 1;

  /**
   * The feature id for the '<em><b>Dval</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int VALUE__DVAL = 2;

  /**
   * The number of structural features of the '<em>Value</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int VALUE_FEATURE_COUNT = 3;

  /**
   * The meta object id for the '{@link org.eclipse.papyrus.robotics.xtext.compdef.compDefText.impl.PortImpl <em>Port</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.eclipse.papyrus.robotics.xtext.compdef.compDefText.impl.PortImpl
   * @see org.eclipse.papyrus.robotics.xtext.compdef.compDefText.impl.CompDefTextPackageImpl#getPort()
   * @generated
   */
  int PORT = 3;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int PORT__NAME = 0;

  /**
   * The feature id for the '<em><b>Prov</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int PORT__PROV = 1;

  /**
   * The feature id for the '<em><b>Req</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int PORT__REQ = 2;

  /**
   * The number of structural features of the '<em>Port</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int PORT_FEATURE_COUNT = 3;

  /**
   * The meta object id for the '{@link org.eclipse.papyrus.robotics.xtext.compdef.compDefText.impl.ActivityImpl <em>Activity</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.eclipse.papyrus.robotics.xtext.compdef.compDefText.impl.ActivityImpl
   * @see org.eclipse.papyrus.robotics.xtext.compdef.compDefText.impl.CompDefTextPackageImpl#getActivity()
   * @generated
   */
  int ACTIVITY = 4;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ACTIVITY__NAME = 0;

  /**
   * The number of structural features of the '<em>Activity</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ACTIVITY_FEATURE_COUNT = 1;

  /**
   * The meta object id for the '{@link org.eclipse.papyrus.robotics.xtext.compdef.compDefText.impl.ConnectorImpl <em>Connector</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.eclipse.papyrus.robotics.xtext.compdef.compDefText.impl.ConnectorImpl
   * @see org.eclipse.papyrus.robotics.xtext.compdef.compDefText.impl.CompDefTextPackageImpl#getConnector()
   * @generated
   */
  int CONNECTOR = 5;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CONNECTOR__NAME = 0;

  /**
   * The feature id for the '<em><b>End</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CONNECTOR__END = 1;

  /**
   * The number of structural features of the '<em>Connector</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CONNECTOR_FEATURE_COUNT = 2;

  /**
   * The meta object id for the '{@link org.eclipse.papyrus.robotics.xtext.compdef.compDefText.impl.ConnectorEndImpl <em>Connector End</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.eclipse.papyrus.robotics.xtext.compdef.compDefText.impl.ConnectorEndImpl
   * @see org.eclipse.papyrus.robotics.xtext.compdef.compDefText.impl.CompDefTextPackageImpl#getConnectorEnd()
   * @generated
   */
  int CONNECTOR_END = 6;

  /**
   * The feature id for the '<em><b>Port</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CONNECTOR_END__PORT = 0;

  /**
   * The number of structural features of the '<em>Connector End</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CONNECTOR_END_FEATURE_COUNT = 1;


  /**
   * Returns the meta object for class '{@link org.eclipse.papyrus.robotics.xtext.compdef.compDefText.Component <em>Component</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Component</em>'.
   * @see org.eclipse.papyrus.robotics.xtext.compdef.compDefText.Component
   * @generated
   */
  EClass getComponent();

  /**
   * Returns the meta object for the attribute '{@link org.eclipse.papyrus.robotics.xtext.compdef.compDefText.Component#getName <em>Name</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Name</em>'.
   * @see org.eclipse.papyrus.robotics.xtext.compdef.compDefText.Component#getName()
   * @see #getComponent()
   * @generated
   */
  EAttribute getComponent_Name();

  /**
   * Returns the meta object for the containment reference list '{@link org.eclipse.papyrus.robotics.xtext.compdef.compDefText.Component#getPorts <em>Ports</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference list '<em>Ports</em>'.
   * @see org.eclipse.papyrus.robotics.xtext.compdef.compDefText.Component#getPorts()
   * @see #getComponent()
   * @generated
   */
  EReference getComponent_Ports();

  /**
   * Returns the meta object for the containment reference list '{@link org.eclipse.papyrus.robotics.xtext.compdef.compDefText.Component#getActivity <em>Activity</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference list '<em>Activity</em>'.
   * @see org.eclipse.papyrus.robotics.xtext.compdef.compDefText.Component#getActivity()
   * @see #getComponent()
   * @generated
   */
  EReference getComponent_Activity();

  /**
   * Returns the meta object for the containment reference list '{@link org.eclipse.papyrus.robotics.xtext.compdef.compDefText.Component#getParameters <em>Parameters</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference list '<em>Parameters</em>'.
   * @see org.eclipse.papyrus.robotics.xtext.compdef.compDefText.Component#getParameters()
   * @see #getComponent()
   * @generated
   */
  EReference getComponent_Parameters();

  /**
   * Returns the meta object for class '{@link org.eclipse.papyrus.robotics.xtext.compdef.compDefText.Parameter <em>Parameter</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Parameter</em>'.
   * @see org.eclipse.papyrus.robotics.xtext.compdef.compDefText.Parameter
   * @generated
   */
  EClass getParameter();

  /**
   * Returns the meta object for the attribute '{@link org.eclipse.papyrus.robotics.xtext.compdef.compDefText.Parameter#getName <em>Name</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Name</em>'.
   * @see org.eclipse.papyrus.robotics.xtext.compdef.compDefText.Parameter#getName()
   * @see #getParameter()
   * @generated
   */
  EAttribute getParameter_Name();

  /**
   * Returns the meta object for the containment reference '{@link org.eclipse.papyrus.robotics.xtext.compdef.compDefText.Parameter#getType <em>Type</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Type</em>'.
   * @see org.eclipse.papyrus.robotics.xtext.compdef.compDefText.Parameter#getType()
   * @see #getParameter()
   * @generated
   */
  EReference getParameter_Type();

  /**
   * Returns the meta object for the attribute '{@link org.eclipse.papyrus.robotics.xtext.compdef.compDefText.Parameter#isTypeUndefined <em>Type Undefined</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Type Undefined</em>'.
   * @see org.eclipse.papyrus.robotics.xtext.compdef.compDefText.Parameter#isTypeUndefined()
   * @see #getParameter()
   * @generated
   */
  EAttribute getParameter_TypeUndefined();

  /**
   * Returns the meta object for the containment reference '{@link org.eclipse.papyrus.robotics.xtext.compdef.compDefText.Parameter#getMultiplicity <em>Multiplicity</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Multiplicity</em>'.
   * @see org.eclipse.papyrus.robotics.xtext.compdef.compDefText.Parameter#getMultiplicity()
   * @see #getParameter()
   * @generated
   */
  EReference getParameter_Multiplicity();

  /**
   * Returns the meta object for the containment reference '{@link org.eclipse.papyrus.robotics.xtext.compdef.compDefText.Parameter#getValue <em>Value</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Value</em>'.
   * @see org.eclipse.papyrus.robotics.xtext.compdef.compDefText.Parameter#getValue()
   * @see #getParameter()
   * @generated
   */
  EReference getParameter_Value();

  /**
   * Returns the meta object for the attribute '{@link org.eclipse.papyrus.robotics.xtext.compdef.compDefText.Parameter#getComment <em>Comment</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Comment</em>'.
   * @see org.eclipse.papyrus.robotics.xtext.compdef.compDefText.Parameter#getComment()
   * @see #getParameter()
   * @generated
   */
  EAttribute getParameter_Comment();

  /**
   * Returns the meta object for class '{@link org.eclipse.papyrus.robotics.xtext.compdef.compDefText.Value <em>Value</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Value</em>'.
   * @see org.eclipse.papyrus.robotics.xtext.compdef.compDefText.Value
   * @generated
   */
  EClass getValue();

  /**
   * Returns the meta object for the attribute '{@link org.eclipse.papyrus.robotics.xtext.compdef.compDefText.Value#getStr <em>Str</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Str</em>'.
   * @see org.eclipse.papyrus.robotics.xtext.compdef.compDefText.Value#getStr()
   * @see #getValue()
   * @generated
   */
  EAttribute getValue_Str();

  /**
   * Returns the meta object for the attribute '{@link org.eclipse.papyrus.robotics.xtext.compdef.compDefText.Value#getIval <em>Ival</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Ival</em>'.
   * @see org.eclipse.papyrus.robotics.xtext.compdef.compDefText.Value#getIval()
   * @see #getValue()
   * @generated
   */
  EAttribute getValue_Ival();

  /**
   * Returns the meta object for the attribute '{@link org.eclipse.papyrus.robotics.xtext.compdef.compDefText.Value#getDval <em>Dval</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Dval</em>'.
   * @see org.eclipse.papyrus.robotics.xtext.compdef.compDefText.Value#getDval()
   * @see #getValue()
   * @generated
   */
  EAttribute getValue_Dval();

  /**
   * Returns the meta object for class '{@link org.eclipse.papyrus.robotics.xtext.compdef.compDefText.Port <em>Port</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Port</em>'.
   * @see org.eclipse.papyrus.robotics.xtext.compdef.compDefText.Port
   * @generated
   */
  EClass getPort();

  /**
   * Returns the meta object for the attribute '{@link org.eclipse.papyrus.robotics.xtext.compdef.compDefText.Port#getName <em>Name</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Name</em>'.
   * @see org.eclipse.papyrus.robotics.xtext.compdef.compDefText.Port#getName()
   * @see #getPort()
   * @generated
   */
  EAttribute getPort_Name();

  /**
   * Returns the meta object for the containment reference '{@link org.eclipse.papyrus.robotics.xtext.compdef.compDefText.Port#getProv <em>Prov</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Prov</em>'.
   * @see org.eclipse.papyrus.robotics.xtext.compdef.compDefText.Port#getProv()
   * @see #getPort()
   * @generated
   */
  EReference getPort_Prov();

  /**
   * Returns the meta object for the containment reference '{@link org.eclipse.papyrus.robotics.xtext.compdef.compDefText.Port#getReq <em>Req</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Req</em>'.
   * @see org.eclipse.papyrus.robotics.xtext.compdef.compDefText.Port#getReq()
   * @see #getPort()
   * @generated
   */
  EReference getPort_Req();

  /**
   * Returns the meta object for class '{@link org.eclipse.papyrus.robotics.xtext.compdef.compDefText.Activity <em>Activity</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Activity</em>'.
   * @see org.eclipse.papyrus.robotics.xtext.compdef.compDefText.Activity
   * @generated
   */
  EClass getActivity();

  /**
   * Returns the meta object for the attribute '{@link org.eclipse.papyrus.robotics.xtext.compdef.compDefText.Activity#getName <em>Name</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Name</em>'.
   * @see org.eclipse.papyrus.robotics.xtext.compdef.compDefText.Activity#getName()
   * @see #getActivity()
   * @generated
   */
  EAttribute getActivity_Name();

  /**
   * Returns the meta object for class '{@link org.eclipse.papyrus.robotics.xtext.compdef.compDefText.Connector <em>Connector</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Connector</em>'.
   * @see org.eclipse.papyrus.robotics.xtext.compdef.compDefText.Connector
   * @generated
   */
  EClass getConnector();

  /**
   * Returns the meta object for the attribute '{@link org.eclipse.papyrus.robotics.xtext.compdef.compDefText.Connector#getName <em>Name</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Name</em>'.
   * @see org.eclipse.papyrus.robotics.xtext.compdef.compDefText.Connector#getName()
   * @see #getConnector()
   * @generated
   */
  EAttribute getConnector_Name();

  /**
   * Returns the meta object for the containment reference list '{@link org.eclipse.papyrus.robotics.xtext.compdef.compDefText.Connector#getEnd <em>End</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference list '<em>End</em>'.
   * @see org.eclipse.papyrus.robotics.xtext.compdef.compDefText.Connector#getEnd()
   * @see #getConnector()
   * @generated
   */
  EReference getConnector_End();

  /**
   * Returns the meta object for class '{@link org.eclipse.papyrus.robotics.xtext.compdef.compDefText.ConnectorEnd <em>Connector End</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Connector End</em>'.
   * @see org.eclipse.papyrus.robotics.xtext.compdef.compDefText.ConnectorEnd
   * @generated
   */
  EClass getConnectorEnd();

  /**
   * Returns the meta object for the attribute '{@link org.eclipse.papyrus.robotics.xtext.compdef.compDefText.ConnectorEnd#getPort <em>Port</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Port</em>'.
   * @see org.eclipse.papyrus.robotics.xtext.compdef.compDefText.ConnectorEnd#getPort()
   * @see #getConnectorEnd()
   * @generated
   */
  EAttribute getConnectorEnd_Port();

  /**
   * Returns the factory that creates the instances of the model.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the factory that creates the instances of the model.
   * @generated
   */
  CompDefTextFactory getCompDefTextFactory();

  /**
   * <!-- begin-user-doc -->
   * Defines literals for the meta objects that represent
   * <ul>
   *   <li>each class,</li>
   *   <li>each feature of each class,</li>
   *   <li>each enum,</li>
   *   <li>and each data type</li>
   * </ul>
   * <!-- end-user-doc -->
   * @generated
   */
  interface Literals
  {
    /**
     * The meta object literal for the '{@link org.eclipse.papyrus.robotics.xtext.compdef.compDefText.impl.ComponentImpl <em>Component</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see org.eclipse.papyrus.robotics.xtext.compdef.compDefText.impl.ComponentImpl
     * @see org.eclipse.papyrus.robotics.xtext.compdef.compDefText.impl.CompDefTextPackageImpl#getComponent()
     * @generated
     */
    EClass COMPONENT = eINSTANCE.getComponent();

    /**
     * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute COMPONENT__NAME = eINSTANCE.getComponent_Name();

    /**
     * The meta object literal for the '<em><b>Ports</b></em>' containment reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference COMPONENT__PORTS = eINSTANCE.getComponent_Ports();

    /**
     * The meta object literal for the '<em><b>Activity</b></em>' containment reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference COMPONENT__ACTIVITY = eINSTANCE.getComponent_Activity();

    /**
     * The meta object literal for the '<em><b>Parameters</b></em>' containment reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference COMPONENT__PARAMETERS = eINSTANCE.getComponent_Parameters();

    /**
     * The meta object literal for the '{@link org.eclipse.papyrus.robotics.xtext.compdef.compDefText.impl.ParameterImpl <em>Parameter</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see org.eclipse.papyrus.robotics.xtext.compdef.compDefText.impl.ParameterImpl
     * @see org.eclipse.papyrus.robotics.xtext.compdef.compDefText.impl.CompDefTextPackageImpl#getParameter()
     * @generated
     */
    EClass PARAMETER = eINSTANCE.getParameter();

    /**
     * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute PARAMETER__NAME = eINSTANCE.getParameter_Name();

    /**
     * The meta object literal for the '<em><b>Type</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference PARAMETER__TYPE = eINSTANCE.getParameter_Type();

    /**
     * The meta object literal for the '<em><b>Type Undefined</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute PARAMETER__TYPE_UNDEFINED = eINSTANCE.getParameter_TypeUndefined();

    /**
     * The meta object literal for the '<em><b>Multiplicity</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference PARAMETER__MULTIPLICITY = eINSTANCE.getParameter_Multiplicity();

    /**
     * The meta object literal for the '<em><b>Value</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference PARAMETER__VALUE = eINSTANCE.getParameter_Value();

    /**
     * The meta object literal for the '<em><b>Comment</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute PARAMETER__COMMENT = eINSTANCE.getParameter_Comment();

    /**
     * The meta object literal for the '{@link org.eclipse.papyrus.robotics.xtext.compdef.compDefText.impl.ValueImpl <em>Value</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see org.eclipse.papyrus.robotics.xtext.compdef.compDefText.impl.ValueImpl
     * @see org.eclipse.papyrus.robotics.xtext.compdef.compDefText.impl.CompDefTextPackageImpl#getValue()
     * @generated
     */
    EClass VALUE = eINSTANCE.getValue();

    /**
     * The meta object literal for the '<em><b>Str</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute VALUE__STR = eINSTANCE.getValue_Str();

    /**
     * The meta object literal for the '<em><b>Ival</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute VALUE__IVAL = eINSTANCE.getValue_Ival();

    /**
     * The meta object literal for the '<em><b>Dval</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute VALUE__DVAL = eINSTANCE.getValue_Dval();

    /**
     * The meta object literal for the '{@link org.eclipse.papyrus.robotics.xtext.compdef.compDefText.impl.PortImpl <em>Port</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see org.eclipse.papyrus.robotics.xtext.compdef.compDefText.impl.PortImpl
     * @see org.eclipse.papyrus.robotics.xtext.compdef.compDefText.impl.CompDefTextPackageImpl#getPort()
     * @generated
     */
    EClass PORT = eINSTANCE.getPort();

    /**
     * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute PORT__NAME = eINSTANCE.getPort_Name();

    /**
     * The meta object literal for the '<em><b>Prov</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference PORT__PROV = eINSTANCE.getPort_Prov();

    /**
     * The meta object literal for the '<em><b>Req</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference PORT__REQ = eINSTANCE.getPort_Req();

    /**
     * The meta object literal for the '{@link org.eclipse.papyrus.robotics.xtext.compdef.compDefText.impl.ActivityImpl <em>Activity</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see org.eclipse.papyrus.robotics.xtext.compdef.compDefText.impl.ActivityImpl
     * @see org.eclipse.papyrus.robotics.xtext.compdef.compDefText.impl.CompDefTextPackageImpl#getActivity()
     * @generated
     */
    EClass ACTIVITY = eINSTANCE.getActivity();

    /**
     * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute ACTIVITY__NAME = eINSTANCE.getActivity_Name();

    /**
     * The meta object literal for the '{@link org.eclipse.papyrus.robotics.xtext.compdef.compDefText.impl.ConnectorImpl <em>Connector</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see org.eclipse.papyrus.robotics.xtext.compdef.compDefText.impl.ConnectorImpl
     * @see org.eclipse.papyrus.robotics.xtext.compdef.compDefText.impl.CompDefTextPackageImpl#getConnector()
     * @generated
     */
    EClass CONNECTOR = eINSTANCE.getConnector();

    /**
     * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute CONNECTOR__NAME = eINSTANCE.getConnector_Name();

    /**
     * The meta object literal for the '<em><b>End</b></em>' containment reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference CONNECTOR__END = eINSTANCE.getConnector_End();

    /**
     * The meta object literal for the '{@link org.eclipse.papyrus.robotics.xtext.compdef.compDefText.impl.ConnectorEndImpl <em>Connector End</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see org.eclipse.papyrus.robotics.xtext.compdef.compDefText.impl.ConnectorEndImpl
     * @see org.eclipse.papyrus.robotics.xtext.compdef.compDefText.impl.CompDefTextPackageImpl#getConnectorEnd()
     * @generated
     */
    EClass CONNECTOR_END = eINSTANCE.getConnectorEnd();

    /**
     * The meta object literal for the '<em><b>Port</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute CONNECTOR_END__PORT = eINSTANCE.getConnectorEnd_Port();

  }

} //CompDefTextPackage
